Bug 852329 - Review Request: vdsm-hooks - Virtual Desktop Server Manager Hooks
Review Request: vdsm-hooks - Virtual Desktop Server Manager Hooks
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 04:25 EDT by Federico Simoncelli
Modified: 2012-08-30 06:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 06:19:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
apevec: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Federico Simoncelli 2012-08-28 04:25:09 EDT
Spec URL: http://fsimonce.fedorapeople.org/vdsm-hooks/vdsm-hooks.spec
SRPM URL: http://fsimonce.fedorapeople.org/vdsm-hooks/vdsm-hook-4.9.6-0.fc17.src.rpm
Description: Virtual Desktop Server Manager Hooks
Fedora Account System Username: fsimonce
Branch: EL-6
Comment 1 Alan Pevec 2012-08-29 08:47:07 EDT
Preliminary quick review:

* rpmlint vdsm-hooks.spec 
vdsm-hooks.spec: W: invalid-url Source0: vdsm-4.9.6.tar.gz

It's quite unsual to have 2 SRPM from one upstream tarball, but at least provide full URL or comments how the tarball is generated:
http://fedoraproject.org/wiki/Packaging:SourceURL

* all vdsm-hook-* need to depend on vdsm, since they're under %{_libexecdir}/vdsm/
  http://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership
Comment 2 Alan Pevec 2012-08-29 08:48:48 EDT
(In reply to comment #0)
> Branch: EL-6

BTW, rawhide branch is always created for new packages, not sure what's your plan for vdsm-hook-* subpackages of vdsm in Fedora, they would conflict with this.
Comment 3 Alan Pevec 2012-08-29 08:52:19 EDT
(In reply to comment #2)
> (In reply to comment #0)
> > Branch: EL-6
> 
> BTW, rawhide branch is always created for new packages

NM, there are examples of "Only ever a EPEL6 package."
e.g. http://pkgs.fedoraproject.org/cgit/python-webob1.0.git/plain/dead.package
Comment 4 Federico Simoncelli 2012-08-29 09:03:26 EDT
Spec URL: http://fsimonce.fedorapeople.org/vdsm-hooks/vdsm-hooks.spec
SRPM URL: http://fsimonce.fedorapeople.org/vdsm-hooks/vdsm-hook-4.9.6-1.fc17.src.rpm
Description: Virtual Desktop Server Manager Hooks
Fedora Account System Username: fsimonce
Branch: EL-6

* Wed Aug 29 2012 Federico Simoncelli <fsimonce@redhat.com> - 4.9.6-1
- add the upstream vcs information
- add the vdsm package dependency
Comment 5 Alan Pevec 2012-08-30 03:39:12 EDT
(In reply to comment #4)
> - add the upstream vcs information

ok

> - add the vdsm package dependency

ok, this is now correct from a packaging guidelines perspective, but now we have the other issue: vdsm is not in base or optional RHEL channel so EPEL cannot depend on it (repoclosure must be possible with base RHEL subscription)
Comment 6 Dan Yasny 2012-08-30 04:36:44 EDT
(In reply to comment #5)
> ok, this is now correct from a packaging guidelines perspective, but now we
> have the other issue: vdsm is not in base or optional RHEL channel so EPEL
> cannot depend on it (repoclosure must be possible with base RHEL
> subscription)

every package in EPEL should have one in RHEL channels? But the whole idea is to have packages that are not shipped in RHEL channels, isn't it?
Comment 7 Alan Pevec 2012-08-30 06:19:52 EDT
> every package in EPEL should have one in RHEL channels?

What I was saying is that every pkg in EPEL can only depend on base RHEL + optional repo.

So even if you move hooks to e.g. /usr/libexec/vdsm-hook to avoid direct vdms dependency, which would solve http://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership
but then we're hitting http://fedoraproject.org/wiki/Packaging:Guidelines#Packages_which_are_not_useful_without_external_bits

Considering this, I recommend to provide vdsm-hooks RPM in a separate unsupported repo at ovirt.org,  last spec w/ vdms dep is good enough, if you document clearly that it depends on RHEV channel which contains vdsm.
Comment 8 Alan Pevec 2012-08-30 06:25:15 EDT
(In reply to comment #7)
> last spec w/ vdms dep is good enough

Actually, one thing: Name field must match spec filename, now it's:
vdsm-hooks.spec
 vs
Name:           vdsm-hook

Note You need to log in before you can comment on or make changes to this bug.